# Uses of Class
org.eclipse.mat.query.registry.ArgumentDescriptor

Packages that use ArgumentDescriptor
Package
Description
org.eclipse.mat.internal.acquire
Support for collecting arguments for acquiring heap dumps from running programs.
org.eclipse.mat.internal.snapshot
Collects arguments for queries.
org.eclipse.mat.query.annotations.descriptors
Package of interfaces for examining annotations of queries and arguments.
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.ui.internal.acquire
Acquire heap dumps from other running processes - user interface (not API).
org.eclipse.mat.ui.internal.query.arguments
Allows a user to specify arguments for a query - user interface (not API).

## Uses of ArgumentDescriptor in org.eclipse.mat.internal.acquire

Methods in org.eclipse.mat.internal.acquire that return types with arguments of type ArgumentDescriptor
Modifier and Type
Method
Description
`Map<ArgumentDescriptor,Object>`
ProviderArgumentsSet.`getValues()`
Methods in org.eclipse.mat.internal.acquire with parameters of type ArgumentDescriptor
Modifier and Type
Method
Description
`Object`
ProviderArgumentsSet.`getArgumentValue(ArgumentDescriptor desc)`
`void`
ProviderArgumentsSet.`removeArgumentValue(ArgumentDescriptor arg)`
`void`
ProviderArgumentsSet.`setArgumentValue(ArgumentDescriptor arg, Object value)`

## Uses of ArgumentDescriptor in org.eclipse.mat.internal.snapshot

Methods in org.eclipse.mat.internal.snapshot with parameters of type ArgumentDescriptor
Modifier and Type
Method
Description
`Object`
HeapObjectArgumentFactory.`build(ArgumentDescriptor argument)`
`Object`
SnapshotArgument.`build(ArgumentDescriptor descriptor)`

## Uses of ArgumentDescriptor in org.eclipse.mat.query.annotations.descriptors

Methods in org.eclipse.mat.query.annotations.descriptors that return types with arguments of type ArgumentDescriptor
Modifier and Type
Method
Description
`List<ArgumentDescriptor>`
IAnnotatedObjectDescriptor.`getArguments()`
Get descriptors for the fields annotated by the annotation `Argument`.

## Uses of ArgumentDescriptor in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry that return ArgumentDescriptor
Modifier and Type
Method
Description
`ArgumentDescriptor`
QueryDescriptor.`getArgumentByName(String name)`
Methods in org.eclipse.mat.query.registry that return types with arguments of type ArgumentDescriptor
Modifier and Type
Method
Description
`List<ArgumentDescriptor>`
AnnotatedObjectDescriptor.`getArguments()`
`List<ArgumentDescriptor>`
ArgumentSet.`getUnsetArguments()`
`Map<ArgumentDescriptor,Object>`
AnnotatedObjectArgumentsSet.`getValues()`
Methods in org.eclipse.mat.query.registry with parameters of type ArgumentDescriptor
Modifier and Type
Method
Description
`void`
AnnotatedObjectDescriptor.`addParameter(ArgumentDescriptor descriptor)`
`Object`
ArgumentFactory.`build(ArgumentDescriptor descriptor)`
`Object`
AnnotatedObjectArgumentsSet.`getArgumentValue(ArgumentDescriptor desc)`
`Object`
ArgumentSet.`getArgumentValue(ArgumentDescriptor desc)`
`void`
AnnotatedObjectArgumentsSet.`removeArgumentValue(ArgumentDescriptor arg)`
`void`
ArgumentSet.`removeArgumentValue(ArgumentDescriptor arg)`
`void`
AnnotatedObjectArgumentsSet.`setArgumentValue(ArgumentDescriptor arg, Object value)`
`void`
ArgumentSet.`setArgumentValue(ArgumentDescriptor arg, Object value)`

## Uses of ArgumentDescriptor in org.eclipse.mat.ui.internal.acquire

Methods in org.eclipse.mat.ui.internal.acquire with parameters of type ArgumentDescriptor
Modifier and Type
Method
Description
`void`
ProviderArgumentsTable.`onModeChange(LinkEditor.Mode mode, ArgumentDescriptor descriptor)`
`void`
ProviderArgumentsTable.`onValueChanged(Object value, ArgumentDescriptor descriptor, TableItem item, ArgumentEditor argEditor)`

## Uses of ArgumentDescriptor in org.eclipse.mat.ui.internal.query.arguments

Methods in org.eclipse.mat.ui.internal.query.arguments that return ArgumentDescriptor
Modifier and Type
Method
Description
`ArgumentDescriptor`
ArgumentEditor.`getDescriptor()`
Methods in org.eclipse.mat.ui.internal.query.arguments with parameters of type ArgumentDescriptor
Modifier and Type
Method
Description
`static ArgumentEditor`
TableEditorFactory.`createTableEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
`void`
ArgumentEditor.IEditorListener.`onModeChange(LinkEditor.Mode mode, ArgumentDescriptor descriptor)`
`void`
ArgumentsTable.`onModeChange(LinkEditor.Mode mode, ArgumentDescriptor descriptor)`
`void`
ArgumentEditor.IEditorListener.`onValueChanged(Object value, ArgumentDescriptor descriptor, TableItem item, ArgumentEditor editor)`
`void`
ArgumentsTable.`onValueChanged(Object value, ArgumentDescriptor descriptor, TableItem item, ArgumentEditor argEditor)`
Constructors in org.eclipse.mat.ui.internal.query.arguments with parameters of type ArgumentDescriptor
Modifier
Constructor
Description
``
`ArgumentEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`BooleanComboEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`CheckBoxEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, CheckBoxEditor.Type type)`
``
`EnumComboEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`FileOpenDialogEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`ImageTextEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, TextEditor.DecoratorType decorator)`
``
`LinkEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, LinkEditor.Mode mode)`
``
`SnapshotSelectionEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`TextEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`TextEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, TextEditor.DecoratorType decorator)`